Page MenuHomeFreeBSD

databases/py-odbc: Update to 4.0.17, Rename to databases/py-pyodbc
ClosedPublic

Authored by dbaio on Jul 13 2017, 9:43 PM.

Details

Summary
databases/py-odbc: Update to 4.0.17, Rename to databases/py-pyodbc

Rename to comply with PyPI scheme

While here:
 - Switch to USES=localbase and remove a patch that does the same
 - STRIP pyodbc.so
 - Remove BUILD DEPENDS (Reported by koobs)

PR:	220305
Submitted by:	rob.kruus@gmail.com (maintainer)
Approved by:	garga (mentor)
Differential Revision:	https://reviews.freebsd.org/D11587
Test Plan
$ portlint -C
looks fine.

$ make index
Generating INDEX-12 - please wait..--- describe.accessibility ---
--- describe.arabic ---
--- describe.archivers ---
--- describe.astro ---
--- describe.audio ---
--- describe.benchmarks ---
--- describe.biology ---
--- describe.cad ---
--- describe.chinese ---
--- describe.comms ---
--- describe.converters ---
--- describe.databases ---
--- describe.deskutils ---
[...]
--- describe.x11-servers ---
--- describe.x11-themes ---
--- describe.x11-toolkits ---
--- describe.x11-wm ---
 Done.

poudriere testport:

10.3-RELEASE-p19 amd64
10.3-RELEASE-p19 i386
11.0-RELEASE-p10 amd64
11.0-RELEASE-p10 i386
12.0-CURRENT 1200037 amd64
12.0-CURRENT 1200037 i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dbaio created this revision.Jul 13 2017, 9:43 PM
dbaio edited the summary of this revision. (Show Details)Jul 13 2017, 9:44 PM
garga accepted this revision.Jul 14 2017, 12:03 PM
This revision is now accepted and ready to land.Jul 14 2017, 12:03 PM
dbaio updated this revision to Diff 30788.Jul 14 2017, 4:00 PM
dbaio edited edge metadata.

Remove BUILD DEPENDS, it's unnecessary (Reported by koobs)

This revision now requires review to proceed.Jul 14 2017, 4:00 PM
dbaio edited the summary of this revision. (Show Details)Jul 14 2017, 4:01 PM
dbaio edited the test plan for this revision. (Show Details)
mat added a comment.Jul 17 2017, 12:59 PM

Remove BUILD DEPENDS, it's unnecessary (Reported by koobs)

I kinda disagree. While the dependency will be there at build time, this forces a minimum version on unixODBC.

dbaio added a comment.Jul 17 2017, 3:13 PM
In D11587#240685, @mat wrote:

Remove BUILD DEPENDS, it's unnecessary (Reported by koobs)

I kinda disagree. While the dependency will be there at build time, this forces a minimum version on unixODBC.

I'll revert that

This revision was automatically updated to reflect the committed changes.